const VppPopup = {};
let j = jQuery;

/**
 * Open Popup
 *
 *      {
 *          id: string,
 *          AjaxUrl: string,
 *          AjaxNonce: string,
 *          AjaxAction: string,
 *          AjaxData: string,
 *          title: string,
 *          headerClose: callback: function,
 *          headerInfo: callback: function,
 *          cancelButton:{
 *              text: string,
 *              callback: function
 *          },
 *          okButton:{
 *              text: string,
 *              callback: function
 *          }
 *      }
 *
 * @param data
 */
VppPopup.open = (data) => {

    j('.ytpl-popup').remove();

    let popup = j('<div class="ytpl-popup" id="' + data.id + '"></div>');
    let popup_box = j('<div class="ytpl-popup-box"></div>');
    let title = j('<div class="ytpl-popup-title">' + data.title + '</div>');
    let section_1 = j('<div></div>');
    let section_2 = j('<div></div>');
    let section_3 = j('<div></div>');

    section_1.append(title);
    if (data.headerClose || data.headerInfo) {

        let right_section = j('<div class="ytpl-popup-right-section"></div>');

        if (data.headerClose) {

            let close = j(
                '<div class="ytpl-icon-button">' +
                '   <div class="ytpl-icon ytpl-icon-x">\n' +
                '       <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">\n' +
                '           <g>\n' +
                '               <path d="M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z"></path>\n' +
                '           </g>\n' +
                '       </svg>\n' +
                '   </div>' +
                '</div>'
            );

            close.on('click', (e) => {
                data.headerClose(e, popup);
            });

            right_section.append(close);

        }

        if (data.headerInfo) {

            let info = j(
                '<div class="ytpl-icon-button">' +
                '   <div class="ytpl-icon ytpl-icon-support">\n' +
                '       <svg viewBox="0 0 24 24" style="pointer-events: none; display: block; width: 100%; height: 100%;">\n' +
                '           <g>\n' +
                '               <path d="M20 2H4c-1.1 0-1.99.9-1.99 2L2 22l4-4h14c1.1 0 2-.9 2-2V4c0-1.1-.9-2-2-2zm-7 12h-2v-2h2v2zm0-4h-2V6h2v4z"></path>\n' +
                '           </g>\n' +
                '       </svg>\n' +
                '   </div>' +
                '</div>'
            );
            info.on('click', () => {
                data.headerInfo();
            });
            right_section.append(info);

        }

        section_1.append(right_section);

    }

    let ajaxData = {
        nonce: data.AjaxNonce,
        action: data.AjaxAction,
        popup: data.AjaxData,
        config: data.AjaxConfig
    }

    j.ajax({
        type: "POST",
        url: data.AjaxUrl,
        data: ajaxData,
        success: function (resp) {

            section_2.append(resp);

        },
        timeout: 10000
    });

    popup_box.append(section_1);
    popup_box.append(section_2);

    if (data.cancelButton || data.okButton) {

        if (data.okButton) {

            let ok = j('<div class="ytpl-button active">' + data.okButton.text + '</div>');
            ok.on('click', (e) => {
                data.okButton.callback(e, popup);
            });
            section_3.append(ok);

        }

        if (data.cancelButton) {

            let cancel = j('<div class="ytpl-button">' + data.cancelButton.text + '</div>');
            cancel.on('click', (e) => {
                data.cancelButton.callback(e, popup);
            });
            section_3.append(cancel);

        }

        popup_box.append(section_3);

    }

    popup.append(popup_box);
    j('body').append(popup);

};