<?php

// REGISTER PLUGIN
class VPP_REGISTER_PLUGIN {

	/**
	 * YTPL_REGISTER_PLUGIN constructor.
	 */
	public function __construct() {

		/** HANDLE IN ACTIVATION AND DEACTIVATION */
		add_action( "activated_plugin", array( $this, 'ACTIVATION' ) );
		add_action( "deactivated_plugin", array( $this, 'DE_ACTIVATION' ) );

	}

	/**
	 * Create table in active
	 *
	 * @version 1.0.0
	 *
	 */
	public function ACTIVATION() {

		// change video
		VPP_DATABASE::ChangeTypeField('vpp_video','video','LONGTEXT');

		/** video */
		VPP_DATABASE::Table(
			'vpp_video',
			[
				[
					'name'           => 'id',
					'key'            => true,
					'type'           => 'int(11)',
					'not_null'       => true,
					'auto_increment' => true,
				],
				[
					'name'      => 'title',
					'type'      => 'varchar(150)',
					'collation' => [] // Set Default
				],
				[
					'name'      => 'description',
					'type'      => 'longtext',
					'collation' => [] // Set Default
				],
				[
					'name' => 'thumbnail',
					'type' => 'int(11)',
				],
				[
					'name' => 'video',
					'type' => 'LONGTEXT',
				],
				[
					'name' => 'visibility',
					'type' => 'varchar(150)',
				],
				[
					'name' => 'user',
					'type' => 'int(11)',
				],
				[
					'name' => 'time',
					'type' => 'bigint(20)',
				],
				[
					'name' => 'modify',
					'type' => 'bigint(20)',
				],
			]
		);

		/** video meta */
		VPP_DATABASE::Table(
			'vpp_video_meta',
			[
				[
					'name'           => 'id',
					'key'            => true,
					'type'           => 'int(11)',
					'not_null'       => true,
					'auto_increment' => true,
				],
				[
					'name' => 'object_id',
					'type' => 'int(11)',
				],
				[
					'name' => 'name',
					'type' => 'varchar(150)',
				],
				[
					'name' => 'value',
					'type' => 'longtext',
				],
			]
		);

		/** tag */
		VPP_DATABASE::Table(
			'vpp_video_tag',
			[
				[
					'name'           => 'id',
					'key'            => true,
					'type'           => 'int(11)',
					'not_null'       => true,
					'auto_increment' => true,
				],
				[
					'name'     => 'video_id',
					'type'     => 'int(11)',
					'not_null' => true,
				],
				[
					'name' => 'name',
					'type' => 'varchar(150)',
				]
			]
		);

		if ( ! get_option( 'vpp_config' ) ) {
			add_option( 'vpp_config', [
				'general-traffic'                    => 'yes',
				'general-alert'                      => 'yes',
				'general-ajax'                       => 'yes',
				'general-api'                        => 'yes',
				'general-auto-video-change'          => 'yes',
				'general-hard-auto-video-change'     => 'no',
				'default-upload-title'               => null,
				'default-upload-description'         => null,
				'default-upload-visibility'          => 'public',
				'player-template'                    => 'youtube',
				'default-player-setting'             => 'yes',
				'default-player-subtitle'            => 'yes',
				'default-player-full-screen'         => 'yes',
				'default-player-description'         => null,
				'default-player-share'               => 'yes',
				'default-player-info'                => 'yes',
				'default-player-disable-right-click' => 'yes',
				'default-player-loop'                => 'yes',
				'default-player-embed'               => 'yes',
				'default-player-copy-video-link'     => 'yes',
				'default-player-video-info'          => 'yes',
				'default-player-watermark'           => 'yes',
				'default-player-like'                => null,
				'default-player-comment'             => null,
				'default-player-suggestion'          => 'yes',
				'default-player-carts'               => 'yes',
				'default-player-end-screen'          => 'yes',
				'default-player-enable-right-click'  => 'yes',
				'embed-key'                          => 'vlnd',
			] );
		}

	}

	/**
	 * De activation
	 *
	 * @version 1.0.0
	 *
	 */
	public function DE_ACTIVATION() {
		// EMPTY
	}

}

new VPP_REGISTER_PLUGIN();