<?php


class VPP_FUNCTION {

	/**
	 * Menu
	 *
	 * @param string $id
	 * @param string $menu_title
	 * @param string $icon
	 * @param bool   $active
	 *
	 */
	public static function Menu( $id, $menu_title, $icon, $active = false ) {

		?>

        <div class="ytpl-nav-item <?php echo $active ? esc_attr( 'active' ) : null; ?>"
             data-page="<?php echo esc_attr( $id ); ?>">
			<?php echo $icon; ?>
            <span><?php echo esc_html( $menu_title ); ?></span>
        </div>

		<?php

	}

	/**
	 * Tabs
	 *
	 * @param int|string $id
	 * @param string     $title
	 * @param array      $data
	 *
	 */
	public static function Tabs( $id, $title, $data = [] ) {

		$tabs = apply_filters( 'vpp_page_tabs_' . $id, [] );

		?>

        <div class="ytpl-page-title">
			<?php

			echo apply_filters( 'vpp_page_tabs_' . $id . '__title', $title );

			/** do_action vpp page tabs $id heading */
			do_action( 'vpp_page_tabs_' . $id . '__heading' );

			?>
        </div>
        <div class="ytpl-accordion">

            <!-- Tabs -->
            <div class="ytpl-tabs">
				<?php

				$tab_index = 0;
				foreach ( $tabs as $index => $value ):

					$tab_index ++;

					?>

                    <div class="ytpl-tab-button <?php echo $tab_index == 1 ? 'active' : null; ?>"
                         data-id="tab_<?php echo esc_attr( $index ); ?>">
						<?php echo esc_html( $value ); ?>
                    </div>

				<?php endforeach;

				/** do_action vpp page tabs $id */
				do_action( 'vpp_page_tabs_' . $id . '__tab', $data );

				?>
                <div class="clear"></div>
            </div>

            <!-- Contents -->
            <div class="ytpl-content">
				<?php

				$tab_index = 0;
				foreach ( $tabs as $index => $value ):

					$tab_index ++;

					?>

                    <div id="tab_<?php echo esc_attr( $index ); ?>"
                         style=" <?php echo $tab_index == 1 ? 'display:block' : 'display:none'; ?>">
						<?php

						/** do_action vpp page tabs $page_id */
						do_action( 'vpp_page_tabs_' . $id . '_' . $index, $data );

						?>
                    </div>

				<?php endforeach;

				?>
            </div>

        </div>

		<?php

	}

}