<?php


class VPP_VIDEO_TAG {

	public $Tag_Name = null;
	public $Video_ID = null;

	private $Table = 'vpp_video_tag';

	/**
	 * VPP_VIDEO_TAG constructor.
	 *
	 * @version 1.0.0
	 *
	 */
	public function __construct() {

	}

	/**
	 * ## Select by video id
	 *
	 * @return array|mixed
	 * @version 1.0.2
	 *
	 */
	public function SelectByVideoID() {

		$out = [];
		$result = VPP_DATABASE::Select(
			$this->Table,
			[
				'where' => VPP_DATABASE::Where(
					[
						'condition' => [
							[
								'column' => 'video_id',
								'value'  => $this->Video_ID
							]
						]
					]
				)
			]
		);

		foreach ( $result as $index => $value ) {
			$out[] = $value['name'];
		}

		return $out;

	}

	/**
	 * ## Select by tag name
	 *
	 * @return array|mixed
	 * @version 1.0.2
	 *
	 */
	public function SelectByTagName() {

		$out = [];
		$result = VPP_DATABASE::Select(
			$this->Table,
			[
				'where' => VPP_DATABASE::Where(
					[
						'condition' => [
							[
								'column' => 'name',
								'value'  => $this->Tag_Name
							]
						]
					]
				)
			]
		);

		foreach ( $result as $index => $value ) {
			$out[] = $value['name'];
		}

		return $out;

	}

	/**
	 * ## Insert
	 *
	 * @param array $tags
	 *
	 * @return boolean
	 * @version 1.0.0
	 *
	 */
	public function Insert( $tags ) {

		$this->Delete();

		if ( empty( $tags ) ) {
			return false;
		}

		foreach ( $tags as $index => $value ) {

			VPP_DATABASE::Insert(
				$this->Table,
				[
					'video_id' => $this->Video_ID,
					'name'     => $value,
				]
			);

		}

		return true;

	}

	/**
	 * ## Delete by video id
	 *
	 * @return bool|int
	 * @version 1.0.0
	 *
	 */
	public function Delete() {

		return VPP_DATABASE::Delete(
			$this->Table,
			VPP_DATABASE::Where(
				[
					'condition' => [
						[
							'column' => 'video_id',
							'value'  => $this->Video_ID
						]
					]
				]
			)
		);

	}

}