<?php


class VPP_AJAX_POPUP_ABOUT_ME {

	/**
	 * VPP_AJAX_POPUP_ABOUT_ME constructor.
	 */
	public function __construct() {

		add_action( 'vpp_studio_popup_about_me', array( $this, 'Render' ) );

	}

	/**
	 * Render Popup
	 *
	 * @param $config
	 *
	 */
	public function Render( $config ) {

		?>

        <div class="ytpl-nav-box">
            <div class="ytpl-nav-items">
                <div class="ytpl-nav-item active" data-id="ytpl_about_idealand">
					<?php echo __( 'IdeaLand', VPP_TEXT_DOMAIN ); ?>
                </div>
                <div class="ytpl-nav-item" data-id="ytpl_about_shortcuts">
					<?php echo __( 'Shortcuts', VPP_TEXT_DOMAIN ); ?>
                </div>
                <div class="ytpl-nav-item" data-id="ytpl_about_log">
					<?php echo __( 'Change Log', VPP_TEXT_DOMAIN ); ?>
                </div>
            </div>
            <div class="ytpl-nav-content">
                <div class="ytpl-nav-content-item" id="ytpl_about_idealand" style="display: block">
                    <h3><?php echo __( 'Hello.', VPP_TEXT_DOMAIN ); ?></h3>
                    <p>
						<?php echo __( 'We are very happy to be able to provide services to you by producing WordPress plugins and we are trying to make them the best with successive updates.', VPP_TEXT_DOMAIN ); ?>
                    </p>
                    <p>
						<?php echo __( 'This is just the beginning for us and this path continues, our plans for the future will be the development of projects, be with us and accompany us in this path.', VPP_TEXT_DOMAIN ); ?>
                    </p>
                    <table>
                        <tr>
                            <td><?php echo __( 'Your Version', VPP_TEXT_DOMAIN ); ?>:</td>
                            <td><?php echo esc_html( VPP::$version ); ?></td>
                        </tr>
                        <tr>
                            <td><?php echo __( 'Idea Land Site', VPP_TEXT_DOMAIN ); ?>:</td>
                            <td>
                                <a href="<?php echo esc_url( 'https://idea-land.co' ); ?>" target="_blank">
									<?php echo esc_url( 'https://idea-land.co' ); ?>
                                </a>
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __( 'Idea Land Plugin Url', VPP_TEXT_DOMAIN ); ?>:</td>
                            <td>
                                <a href="<?php echo esc_url( 'https://idea-land.co/video-player-pro' ); ?>"
                                   target="_blank">
									<?php echo esc_url( 'https://idea-land.co/video-player-pro' ); ?>
                                </a>
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __( 'Wordpress Profile', VPP_TEXT_DOMAIN ); ?>:</td>
                            <td>
                                <a href="<?php echo esc_url( 'https://profiles.wordpress.org/idealand' ); ?>"
                                   target="_blank">
									<?php echo esc_url( 'https://profiles.wordpress.org/idealand' ); ?>
                                </a>
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __( 'Wordpress Plugin Page', VPP_TEXT_DOMAIN ); ?>:</td>
                            <td>
                                <a href="<?php echo esc_url( 'https://wordpress.org/plugins/video-player-pro' ); ?>"
                                   target="_blank">
									<?php echo esc_url( 'https://wordpress.org/plugins/video-player-pro' ); ?>
                                </a>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="ytpl-nav-content-item" id="ytpl_about_shortcuts" style="display: none">
                    <table class="ytpl-shortcut">
                        <tr>
                            <td><?php echo __( 'Page Video', VPP_TEXT_DOMAIN ); ?></td>
                            <td>
                                <div>
                                    <span>Ctrl</span>+
                                    <span>1</span>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __( 'Page Playlist', VPP_TEXT_DOMAIN ); ?></td>
                            <td>
                                <div>
                                    <span>Ctrl</span>+
                                    <span>2</span>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __( 'Page Subtitle', VPP_TEXT_DOMAIN ); ?></td>
                            <td>
                                <div>
                                    <span>Ctrl</span>+
                                    <span>3</span>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __( 'Page Comments', VPP_TEXT_DOMAIN ); ?></td>
                            <td>
                                <div>
                                    <span>Ctrl</span>+
                                    <span>4</span>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __( 'Page Analytics', VPP_TEXT_DOMAIN ); ?></td>
                            <td>
                                <div>
                                    <span>Ctrl</span>+
                                    <span>5</span>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __( 'Open Create Popup', VPP_TEXT_DOMAIN ); ?></td>
                            <td>
                                <div>
                                    <span>Ctrl</span>+
                                    <span>Q</span>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __( 'Open Setting Popup', VPP_TEXT_DOMAIN ); ?></td>
                            <td>
                                <div>
                                    <span>Ctrl</span>+
                                    <span>S</span>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __( 'Close / Cancel', VPP_TEXT_DOMAIN ); ?></td>
                            <td>
                                <div>
                                    <span>Esc</span>
                                </div>
                                <div>
                                    <span>F4</span>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td><?php echo __( 'Search', VPP_TEXT_DOMAIN ); ?></td>
                            <td>
                                <div>
                                    <span>Ctrl</span>+
                                    <span>F</span>
                                </div>
                            </td>
                        </tr>
                    </table>
                </div>
                <div class="ytpl-nav-content-item vpp-log" id="ytpl_about_log" style="display: none">
                    <b>1.1.0</b>
                    <ul>
                        <li class="fixed"> - <?php echo __( 'Fixed minor issues', VPP_TEXT_DOMAIN ); ?></li>
                    </ul>
                    <b>1.0.8</b>
                    <ul>
                        <li class="add"> - <?php echo __( 'Change: Change plugin name to "Video Land"', VPP_TEXT_DOMAIN ); ?></li>
                        <li class="fixed"> - <?php echo __( 'Fixed: Solve problems in Persian language', VPP_TEXT_DOMAIN ); ?></li>
                        <li class="fixed"> - <?php echo __( 'Fixed: Better compatibility with addons', VPP_TEXT_DOMAIN ); ?></li>
                    </ul>
                    <b>1.0.5</b>
                    <ul>
                        <li class="fixed">
                            - <?php echo __( 'Fixed: Fixed minor issues', VPP_TEXT_DOMAIN ); ?></li>
                    </ul>
                    <b>1.0.4</b>
                    <ul>
                        <li class="add">
                            - <?php echo __( 'Add: Feature to change all site videos', VPP_TEXT_DOMAIN ); ?></li>
                        <li class="add">
                            - <?php echo __( 'Add: Right to left (Rtl) support', VPP_TEXT_DOMAIN ); ?></li>
                        <li class="add">
                            - <?php echo __( 'Add: Development capability for programmers', VPP_TEXT_DOMAIN ); ?></li>
                        <li class="add">
                            - <?php echo __( 'Add: Change the direction to the most landscape mode in full screen', VPP_TEXT_DOMAIN ); ?></li>
                        <li class="add pro">
                            - <?php echo __( 'Add: Sharing dialog added', VPP_TEXT_DOMAIN ); ?></li>
                        <li class="add pro">
                            - <?php echo __( 'Add: Automatic detection of rtl and ltr subtitles', VPP_TEXT_DOMAIN ); ?></li>
                        <!--li class="add pro">
                            - <?php echo __( 'Add: Add languages (English, Italian, French, Arabic, Persian)', VPP_TEXT_DOMAIN ); ?></li-->
                        <li class="fixed pro">
                            - <?php echo __( 'Fixed: views and comments in the video list', VPP_TEXT_DOMAIN ); ?></li>
                        <li class="fixed pro">
                            - <?php echo __( 'Fixed: Show player (Preview) in elementor builder', VPP_TEXT_DOMAIN ); ?></li>
                        <li class="fixed">
                            - <?php echo __( 'Fixed: Change infrastructure and more flexibility', VPP_TEXT_DOMAIN ); ?></li>
                        <li class="fixed">
                            - <?php echo __( 'Fixed: Fixed minor issues', VPP_TEXT_DOMAIN ); ?></li>
                    </ul>
                    <b>1.0.1</b>
                    <ul>
                        <li class="fixed">
                            - <?php echo __( 'Fixed: Compatibility with all browsers', VPP_TEXT_DOMAIN ); ?></li>
                    </ul>
                    <b>1.0.0</b>
                    <ul>
                        <li class="new">- <?php echo __( 'Have fun', VPP_TEXT_DOMAIN ); ?> :)</li>
                    </ul>
                </div>
            </div>
        </div>

		<?php

	}

}

new VPP_AJAX_POPUP_ABOUT_ME();