<?php


class VPP_AJAX_POPUP_CREATE {

	/**
	 * VPP_AJAX_POPUP_CREATE constructor.
	 */
	public function __construct() {

		add_action( 'vpp_studio_popup_create', array( $this, 'Render' ) );

	}

	/**
	 * Render
	 *
	 * @param $config
	 *
	 */
	public function Render( $config ) {

		?>

        <div class="ytpl-create-container">
            <div>
                <div class="ytpl-step-line">
                    <div class="ytpl-step-line-content">
                        <div data-id="ytpl_step_line_c1" class="active">
                            <span><?php echo __( 'Details', VPP_TEXT_DOMAIN ); ?></span>
                        </div>
                        <div data-id="ytpl_step_line_c2">
                            <span><?php echo __( 'Video Element', VPP_TEXT_DOMAIN ); ?></span>
                        </div>
                        <div data-id="ytpl_step_line_c3">
                            <span><?php echo __( 'Visibility', VPP_TEXT_DOMAIN ); ?></span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="ytpl-create-contents">
                <div id="ytpl_step_line_c1" style="display: block">

                    <div class="ytpl-create-content-section">
                        <div>
							<?php

							VPP_FIELD::TextBox(
								[
									'name'  => 'title',
									'title' => __( 'Title', VPP_TEXT_DOMAIN ),
									'value' => VPP::$setting->Default_Upload_Title()
								]
							);

							VPP_FIELD::Text_Area(
								[
									'name'  => 'description',
									'title' => __( 'Description', VPP_TEXT_DOMAIN ),
									'value' => VPP::$setting->Default_Upload_Description()
								]
							);

							VPP_FIELD::Thumbnail(
								[
									'name'        => 'thumbnail',
									'title'       => __( 'Thumbnail', VPP_TEXT_DOMAIN ),
									'description' => __( 'Select a picture that show whats in your video. A good thumbnail stands out and draws viewers attention.', VPP_TEXT_DOMAIN ),
								]
							);

							/** do_action vpp studio popup create detail before */
							do_action( 'vpp_studio_popup_create_detail_before', $config );

							VPP_FIELD::Tags(
								[
									'name'        => 'tags',
									'title'       => __( 'Tags', VPP_TEXT_DOMAIN ),
									'description' => __( 'To add the text tag in the text box and enter inter.', VPP_TEXT_DOMAIN ),
								]
							);

							/** do_action vpp studio popup create detail after */
							do_action( 'vpp_studio_popup_create_detail_after', $config );

							?>
                        </div>
                        <div>
							<?php

							VPP_FIELD::Video(
								[
									'name' => 'video',
								]
							);

							?>
                        </div>
                    </div>

                </div>
                <div id="ytpl_step_line_c2">
					<?php if ( ! defined( 'VPP_PLUS' ) ): ?>

                        <a href="#" style="display:block; padding:28px;">Buy Pro Version</a>

					<?php endif;

					/** do_action vpp studio popup create element */
					do_action( 'vpp_studio_popup_create_element', $config );

					?>
                </div>
                <div id="ytpl_step_line_c3">
                    <div class="ytpl-create-video-visibility">
                        <div>
							<?php

                            $visibility = apply_filters('vpp_studio_popup_create_visibility_option',[
	                            'public'  => __( 'Public', VPP_TEXT_DOMAIN ),
	                            'private' => __( 'Private', VPP_TEXT_DOMAIN ),
                            ]);

							VPP_FIELD::Radio(
								[
									'name'        => 'visibility',
									'title'       => __( 'Visibility', VPP_TEXT_DOMAIN ),
									'description' => __( 'Put your video in both public and private mode. Public mode is used for public mode and private mode is displayed for users who have entered the site.', VPP_TEXT_DOMAIN ),
									'default'     => VPP::$setting->Default_Upload_Visibility(),
									'options'     => $visibility
								]
							);

							/** do_action vpp studio popup create visibility */
							do_action( 'vpp_studio_popup_create_visibility', $config );

							?>
                        </div>
                        <div>
							<?php

							VPP_FIELD::Video(
								[
									'name'    => 'video',
									'preview' => true,
								]
							);

							?>
                        </div>
                    </div>
                </div>
            </div>
        </div>

		<?php

	}

}

new VPP_AJAX_POPUP_CREATE();