<?php


class VPP_AJAX_SETTING_SAVE {

	public function __construct() {

		add_action( 'wp_ajax_vpp_save_setting', array( $this, 'Render' ) );
		add_action( 'wp_ajax_nopriv_vpp_save_setting', array( $this, 'Render' ) );

	}

	public function Render() {

		VPP_AJAX_NONCE::Nonce();

		$request = isset( $_REQUEST['data'] ) ? sanitize_text_field( $_REQUEST['data'] ) : [];
		$data = json_decode( stripslashes( $request ) );

		foreach ( $data as $index => $value ) {

			$value = empty( $value ) ? null : ($value == 'false' ? null : $value);

			switch ( $index ) {

				case 'general-traffic':
					VPP::$setting->General_Traffic( $value );
					break;

				case 'general-ajax':
					VPP::$setting->General_Ajax( $value );
					break;

				case 'general-alert':
					VPP::$setting->General_Alert( $value );
					break;

				case 'general-api':
					VPP::$setting->General_Rest_Api( $value );
					break;

				case 'general-auto-video-change':
					VPP::$setting->General_Auto_Video_Change( $value );
					break;

				case 'general-hard-auto-video-change':
					VPP::$setting->General_Hard_Auto_Video_Change( $value );
					break;

				case 'default-upload-title':
					VPP::$setting->Default_Upload_Title( $value );
					break;

				case 'default-upload-description':
					VPP::$setting->Default_Upload_Description( $value );
					break;

				case 'default-upload-visibility':
					VPP::$setting->Default_Upload_Visibility( $value );
					break;

				case 'player-template':
					VPP::$setting->Player_Template( $value );
					break;

				case 'default-player-setting':
					VPP::$setting->Default_Player_Setting( $value );
					break;

				case 'default-player-subtitle':
					VPP::$setting->Default_Player_Subtitle( $value );
					break;

				case 'default-player-full-screen':
					VPP::$setting->Default_Player_Full_Screen( $value );
					break;

				case 'default-player-watermark':
					VPP::$setting->Default_Player_Watermark( $value );
					break;

				case 'default-player-description':
					VPP::$setting->Default_Player_Description( $value );
					break;

				case 'default-player-share':
					VPP::$setting->Default_Player_Share( $value );
					break;

				case 'default-player-info':
					VPP::$setting->Default_Player_Info( $value );
					break;

				case 'default-player-like':
					VPP::$setting->Default_Player_Like( $value );
					break;

				case 'default-player-comment':
					VPP::$setting->Default_Player_Comment( $value );
					break;

				case 'default-player-suggestion':
					VPP::$setting->Default_Player_Suggestion( $value );
					break;

				case 'default-player-end-screen':
					VPP::$setting->Default_Player_End_Screen( $value );
					break;

				case 'default-player-carts':
					VPP::$setting->Default_Player_Carts( $value );
					break;

				case 'default-player-enable-right-click':
					VPP::$setting->Default_Player_Enable_Right_Click( $value );
					break;

				case 'default-player-loop':
					VPP::$setting->Default_Player_Loop( $value );
					break;

				case 'default-player-embed':
					VPP::$setting->Default_Player_Embed( $value );
					break;

				case 'default-player-copy-video-link':
					VPP::$setting->Default_Player_Copy_Video_Link( $value );
					break;

				case 'default-player-video-info':
					VPP::$setting->Default_Player_Video_Info( $value );
					break;

				case 'embed-key':
					VPP::$setting->Embed_Key( $value );
					break;

			}

		}

		VPP::$setting->Save();

		die;

	}

}

new VPP_AJAX_SETTING_SAVE();