<?php


class VPP_AJAX_VIDEO_SAVE {

	public function __construct() {

		add_action( 'wp_ajax_ytpl_save_video', array( $this, 'Render' ) );
		add_action( 'wp_ajax_nopriv_ytpl_save_video', array( $this, 'Render' ) );

	}

	public function Render() {

		VPP_AJAX_NONCE::Nonce();

		$request = isset( $_REQUEST['data'] ) ? sanitize_text_field( $_REQUEST['data'] ) : [];
		$data = json_decode( stripslashes( $request ) );

		/**
		 * Video
		 */
		$video = new VPP_VIDEO();
		$video->Title = isset( $data->title ) ? $data->title : null;
		$video->Description = isset( $data->description ) ? $data->description : null;
		$video->Thumbnail = isset( $data->thumbnail ) ? $data->thumbnail : null;
		$video->Video = isset( $data->video ) ? $data->video : null;
		$video->Visibility = isset( $data->visibility ) ? $data->visibility : VPP::$setting->Default_Upload_Visibility();
		$video->Insert();

		/**
		 * Tags
		 */
		if ( isset( $data->tags ) ) {

			$tag = new VPP_VIDEO_TAG();
			$tag->Video_ID = $video->ID;
			$tag->Insert( $data->tags );

		}

		/** do_action vpp studio ajax video save */
		do_action( 'vpp_studio_ajax_video_save', $video );

		die;

	}

}

new VPP_AJAX_VIDEO_SAVE();