<?php


class VPP_AJAX_VIDEO_SEARCH {

	public function __construct() {

		add_action( 'wp_ajax_ytpl_search_video', array( $this, 'Render' ) );
		add_action( 'wp_ajax_nopriv_ytpl_search_video', array( $this, 'Render' ) );

	}

	public function Render() {

		VPP_AJAX_NONCE::Nonce();

		$request = isset( $_REQUEST['config'] ) ? sanitize_text_field( $_REQUEST['config'] ) : [];
		$config = json_decode( stripslashes( $request ) );

		$video = new VPP_VIDEO();
		$search = $video->Search( $config->s );

		/** do_action vpp studio search result before */
		do_action( 'vpp_studio_search_result_before', $config, $video );

		if ( empty( $search ) ):
			?>
            <div class="ytpl-empty">
				<?php echo __( 'Not Found Video.', VPP_TEXT_DOMAIN ); ?>
            </div>
			<?php die;
		endif;

		?>
        <div class="ytpl-table">
			<?php foreach ( $search as $index => $value ): ?>

                <div class="ytpl-table-row" data-id="<?php echo esc_attr( $value['id'] ); ?>">
                    <div class="ytpl-table-cell"
                         style="min-width:382px; padding-left:4px; padding-right:4px; flex:3 0 382px; ">
                        <div class="ytpl-video-detail">
                            <div class="ytpl-video-cover-mini"
                                 style="background:url(<?php echo esc_url( wp_get_attachment_image_url( $value['thumbnail'], 'full' ) ); ?>)"></div>
                            <div class="ytpl-video-detail-content">
                                <div><?php echo esc_html( $value['title'] ); ?></div>
                                <span><?php echo esc_html( $value['description'] ); ?></span>
                            </div>
                        </div>
                    </div>
                </div>

			<?php endforeach; ?>
        </div>
		<?php

		/** do_action vpp studio search result after*/
		do_action( 'vpp_studio_search_result_after', $config, $video );

		die;

	}

}

new VPP_AJAX_VIDEO_SEARCH();