<?php


class VPP_AJAX_VIDEO_UPDATE {

	public function __construct() {

		add_action( 'wp_ajax_ytpl_update_video', array( $this, 'Render' ) );
		add_action( 'wp_ajax_nopriv_ytpl_update_video', array( $this, 'Render' ) );

	}

	public function Render() {

		VPP_AJAX_NONCE::Nonce();

		$request = isset( $_REQUEST['config'] ) ? sanitize_text_field( $_REQUEST['config'] ) : [];
		$config = json_decode( stripslashes( $request ) );

		/**
		 * Video
		 */
		$video = new VPP_VIDEO();
		$video->ID = $config->id;
		$video->Title = isset( $config->title ) ? $config->title : null;
		$video->Description = isset( $config->description ) ? $config->description : null;
		$video->Thumbnail = isset( $config->thumbnail ) ? $config->thumbnail : null;
		$video->Video = isset( $config->video ) ? $config->video : null;
		$video->Visibility = $config->visibility;
		$video->Update();

		/**
		 * Tags
		 */
		$tag = new VPP_VIDEO_TAG();
		$tag->Video_ID = $video->ID;
		if ( isset( $config->tags ) ) {
			$tag->Insert( $config->tags );
		} else {
			$tag->Delete();
		}

		/** do_action vpp studio ajax video update */
		do_action( 'vpp_studio_ajax_video_update', $video );

		die;

	}

}

new VPP_AJAX_VIDEO_UPDATE();