<?php


class VPP_PAGE_PRO_VERSION {

	/** @var string $page_id page id */
	private $page_id = 'pro_version';

	/**
	 * VPP_PAGE_VIDEO constructor.
	 */
	public function __construct() {

		/** menu */
		add_action( 'vpp_studio_menu', array( $this, 'Menu' ), 30 );

		/** Ajax */
		add_action( 'wp_ajax_vpp_page_' . $this->page_id, array( $this, 'Render' ) );
		add_action( 'wp_ajax_nopriv_vpp_page_' . $this->page_id, array( $this, 'Render' ) );

	}

	/**
	 * Menu
	 */
	public function Menu() {

		VPP_FUNCTION::Menu( $this->page_id, __( 'Pro Version', VPP_TEXT_DOMAIN ), VPP_ICON::$star );

	}

	/**
	 * Render
	 */
	public function Render() {

		VPP_AJAX_NONCE::Nonce();

		?>

        <div class="ytpl-free-version">

            <!-- TODO Slider -->
            <div class="ytpl-slider">
                <div class="ytpl-content">
                    <div class="ytpl-meta">
                        <div class="ytpl-version-name">
                            <span><?php echo __( 'Thor Version 1.0.4', VPP_TEXT_DOMAIN ) ?></span>
                        </div>
                    </div>
                    <div class="ytpl-title"><?php echo __( 'Video Land Addons', VPP_TEXT_DOMAIN ) ?></div>
                    <div class="ytpl-subtitle"><?php echo __( 'Have the most professional video player on your site. You are a professional.', VPP_TEXT_DOMAIN ) ?></div>
                    <div class="ytpl-buttons">
                        <a href="<?php echo esc_url( 'https://idea-land.co/video-player-pro/' ); ?>"
                           target="_blank">
							<?php echo __( 'Preview and purchase the pro version', VPP_TEXT_DOMAIN ) ?>
                        </a>
                    </div>
                </div>
                <img class="ytpl-image" src="<?php echo esc_url( VPP_PLUGIN_IMG . 'thor-version.png' ); ?>">
            </div>

            <!-- TODO -->
            <div class="ytpl-feature">
                <div class="ytpl-heading">
					<?php echo __( 'Feature', VPP_TEXT_DOMAIN ); ?>:
                </div>
                <ul>
                    <li>
                        • <?php echo __( 'Professional player with YouTube skin.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                    <li>
                        • <?php echo __( 'Create unlimited playlists.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                    <li>
                        • <?php echo __( 'Supports srt for subtitles and multiple subtitles in different languages for a video.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                    <li>
                        • <?php echo __( 'Create comments for each video individually.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                    <li>
                        • <?php echo __( 'Incoming Traffic Monitoring &amp; Visit Management System.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                    <li>
                        • <?php echo __( 'Show more videos and suggestions in player.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                    <li>
                        • <?php echo __( 'Create end screen on each video separately.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                    <li>
                        • <?php echo __( 'Create cards (video, links, playlists) for each video.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                    <li>
                        • <?php echo __( 'Professional timeline for editing and managing cards and end screen.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                    <li>
                        • <?php echo __( 'Multi-quality adjustment for video.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                    <li>
                        • <?php echo __( 'Increase and decrease video playback speed.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                    <li>
                        • <?php echo __( 'Features such as (sharing, information, watermark) in the player.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                    <li>
                        • <?php echo __( 'Custom url feature for videos.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                    <li>
                        • <?php echo __( 'Ability to embed videos.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                    <li>
                        • <?php echo __( 'Ajax action feature for player.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                    <li>
                        • <?php echo __( 'Visibility control in public and private form for videos.', VPP_TEXT_DOMAIN ); ?>
                    </li>
                </ul>
            </div>

            <!-- TODO Screenshot -->
            <div class="ytpl-screenshot">
                <div class="ytpl-heading">
					<?php echo __( 'Screenshots', VPP_TEXT_DOMAIN ); ?>:
                </div>
                <div class="ytpl-images">
                    <a href="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-1.jpg' ) ?>" target="_blank">
                        <img src="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-1.jpg' ) ?>">
                    </a>
                    <a href="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-2.jpg' ) ?>" target="_blank">
                        <img src="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-2.jpg' ) ?>">
                    </a>
                    <a href="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-3.jpg' ) ?>" target="_blank">
                        <img src="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-3.jpg' ) ?>">
                    </a>
                    <a href="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-4.jpg' ) ?>" target="_blank">
                        <img src="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-4.jpg' ) ?>">
                    </a>
                    <a href="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-5.jpg' ) ?>" target="_blank">
                        <img src="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-5.jpg' ) ?>">
                    </a>
                    <a href="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-6.jpg' ) ?>" target="_blank">
                        <img src="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-6.jpg' ) ?>">
                    </a>
                    <a href="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-7.jpg' ) ?>" target="_blank">
                        <img src="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-7.jpg' ) ?>">
                    </a>
                    <a href="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-8.jpg' ) ?>" target="_blank">
                        <img src="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-8.jpg' ) ?>">
                    </a>
                    <a href="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-9.jpg' ) ?>" target="_blank">
                        <img src="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-9.jpg' ) ?>">
                    </a>
                    <a href="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-10.jpg' ) ?>" target="_blank">
                        <img src="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-10.jpg' ) ?>">
                    </a>
                    <a href="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-11.jpg' ) ?>" target="_blank">
                        <img src="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-11.jpg' ) ?>">
                    </a>
                    <a href="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-12.jpg' ) ?>" target="_blank">
                        <img src="<?php echo esc_url( VPP_PLUGIN_IMG . 'screenshot-12.jpg' ) ?>">
                    </a>
                    <div class="clear"></div>
                </div>
            </div>

        </div>

		<?php

		die;

	}

}

new VPP_PAGE_PRO_VERSION();